Start integrating the hinge (buggy)
This commit is contained in:
parent
246338fc18
commit
10bac1c4ed
@ -14,6 +14,9 @@ from hinge import hinge_profile_1, hinge_profile_2, hinge_t, hinge_gap, hinge_s
|
|||||||
|
|
||||||
reinforcement_height = 1 + 1 + ti_depth - shell_t
|
reinforcement_height = 1 + 1 + ti_depth - shell_t
|
||||||
|
|
||||||
|
rear_mount_thickness = reinforcement_height + screw_head_h + shell_t
|
||||||
|
rear_mount_width = width / 2 + 2 * shell_t
|
||||||
|
|
||||||
back_reinforcement_cutout = (
|
back_reinforcement_cutout = (
|
||||||
cq.Sketch()
|
cq.Sketch()
|
||||||
.trapezoid(width / 2 + 1, 15 + 1, 90, mode="a")
|
.trapezoid(width / 2 + 1, 15 + 1, 90, mode="a")
|
||||||
@ -24,7 +27,7 @@ back_reinforcement_cutout = (
|
|||||||
|
|
||||||
back_reinforcement_outer = (
|
back_reinforcement_outer = (
|
||||||
cq.Sketch()
|
cq.Sketch()
|
||||||
.trapezoid(width / 2 + 2 * shell_t, 15 + 2 * shell_t, 90, mode="a")
|
.trapezoid(rear_mount_width, 15 + 2 * shell_t, 90, mode="a")
|
||||||
.reset()
|
.reset()
|
||||||
.vertices()
|
.vertices()
|
||||||
.fillet(2)
|
.fillet(2)
|
||||||
@ -37,8 +40,6 @@ screw_countersinks = (
|
|||||||
cq.Sketch().rarray(width / 8, 0, 4, 1).circle(screw_head_radius, mode="a")
|
cq.Sketch().rarray(width / 8, 0, 4, 1).circle(screw_head_radius, mode="a")
|
||||||
)
|
)
|
||||||
|
|
||||||
rear_mount_thickness = reinforcement_height + screw_head_h + shell_t
|
|
||||||
|
|
||||||
|
|
||||||
rear_mount = (
|
rear_mount = (
|
||||||
# Basic filleted box shape
|
# Basic filleted box shape
|
||||||
@ -59,11 +60,13 @@ rear_mount = (
|
|||||||
.cutBlind(-screw_head_h)
|
.cutBlind(-screw_head_h)
|
||||||
# Hinge integration
|
# Hinge integration
|
||||||
.faces(">X")
|
.faces(">X")
|
||||||
.workplane(centerOption="CenterOfBoundBox")
|
.workplane(centerOption="CenterOfBoundBox", offset=-(rear_mount_width-22)/2)
|
||||||
.transformed(rotate=cq.Vector(0, 0, 90))
|
.transformed(rotate=cq.Vector(0, 0, 90))
|
||||||
.center(-hinge_s / 2, rear_mount_thickness / 2)
|
.center(-hinge_s / 2, rear_mount_thickness / 2)
|
||||||
.placeSketch(hinge_profile_1)
|
.placeSketch(hinge_profile_1)
|
||||||
.extrude(-hinge_t)
|
.extrude(-hinge_t)
|
||||||
)
|
.workplane(offset=-hinge_gap)
|
||||||
|
.placeSketch(hinge_profile_2)
|
||||||
|
.extrude(hinge_t))
|
||||||
|
|
||||||
exporters.export(rear_mount, "rear_mount.stl")
|
exporters.export(rear_mount, "rear_mount.stl")
|
||||||
|
Loading…
Reference in New Issue
Block a user